import 'package:hmg_patient_app/uitl/utils_new.dart';
import 'package:flutter/material.dart';

class OfferView extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      height: MediaQuery.of(context).size.width / 5,
      decoration: containerColorRadiusBorderWidth(Colors.grey[200]!, 20, Colors.grey[300]!, 2),
      child: Row(
        children: [
          Expanded(
            flex: 2,
            child: Container(
              width: double.infinity,
              padding: EdgeInsets.only(left: 20,right: 20,top: 8,bottom: 8),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(
                    "Kid's Offer",
                    style: TextStyle(
                      color: Color(0xFFFBF2E31),
                      fontSize: 18,
                      fontWeight: FontWeight.bold,
                    ),
                  ),
                  Text(
                    "Take Care of your children's teeth",
                    style: TextStyle(
                      color: Colors.black,
                      fontSize: 12,
                      fontWeight: FontWeight.bold,
                    ),
                  ),
                  mFlex(1),
                  Row(
                    children: [
                      Text(
                        "Only ",
                        style: TextStyle(
                          color: Color(0xFFFBF2E31),
                          fontSize: 14,
                        ),
                      ),
                      Text(
                        "500 ",
                        style: TextStyle(
                          color: Color(0xFFFBF2E31),
                          fontSize: 14,
                          fontWeight: FontWeight.bold,
                        ),
                      ),
                      Text(
                        "SAR ",
                        style: TextStyle(
                          color: Color(0xFFFBF2E31),
                          fontSize: 14,
                        ),
                      ),
                      mFlex(1),
                    ],
                  ),
                ],
              ),
            ),
          ),
          Expanded(
            child: Column(
              children: [
                Expanded(
                  flex: 1,
                  child: Image.asset("assets/images/pharmacy_module/payment/hmg_shipping_logo.png"),
                ),
                Expanded(
                  flex: 1,
                  child: Image.asset("name"),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
